#
# spec file for package libucil
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libucil
Version:        0.9.10
Release:        16.2
%define sonum   2
Summary:        Render text and graphic overlays onto video images
License:        GPL-2.0+
Group:          System/Libraries
Url:            http://unicap-imaging.org/
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  alsa-devel
BuildRequires:  gcc-c++
BuildRequires:  gstreamer-0_10-plugins-base-devel
BuildRequires:  intltool
BuildRequires:  libpng-devel
BuildRequires:  libunicap-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(pango)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch0:         libucil-pkgconfig.patch
# following patch sent to arne@unicap-imaging.org
Patch1:         libucil-includes.patch

%description
The ucil library provides easy to use functions to render text and graphic overlays onto video images.

%package -n %{name}%{sonum}
Summary:        Render text and graphic overlays onto video images]
Group:          System/Libraries
Provides:       %{name} = %{version}

%description -n %{name}%{sonum}
The ucil library provides easy to use functions to render text and graphic overlays onto video images.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name}%{sonum} = %{version}

%description devel
Development libraries and headers needed to build software using %{name}

%package doc
Summary:        Dcoumentation for %{name}
Group:          System/Libraries
Requires:       %{name}%{sonum} = %{version}
BuildArch:      noarch

%description doc
Documentation and help files for %{name}

%prep
%setup -q
%patch0
%patch1 -p1

%build
export CFLAGS="%optflags $(getconf LFS_CFLAGS) -D_GNU_SOURCE"
%configure --enable-gpl \
           --enable-ucil-alsa \
           --enable-ucil-gstreamer \
           --enable-ucil-png \
	   --disable-static
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%post   -n %{name}%{sonum} -p /sbin/ldconfig
%postun -n %{name}%{sonum} -p /sbin/ldconfig

%files -n %{name}%{sonum}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/libucil.so.%{sonum}*

%files devel
%defattr(-,root,root)
%{_includedir}/unicap/
%{_libdir}/libucil.so
%{_libdir}/pkgconfig/libucil.pc

%files doc
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/libucil/

%changelog
* Sun May 25 2014 crrodriguez@opensuse.org
- rename libpn16 patch to libucil-includes.patch and update
  it to include missing <ctype.h> includes.
- Use LFS_CFLAGS in 32 bit systems.
* Fri Feb 15 2013 pgajdos@suse.com
- build also against libpng16
  * libpng16.patch
* Thu Nov 22 2012 crrodriguez@opensuse.org
- libucil-pkgconfig.patch: Do not pull a huge pile of bogus
  dependencies via pkgconfig files, only glib2 and libunicap are
  required.
  The other ones such as pango will pull cairo, xft, fontconfig
  and probably the X system for no reason.
- BUild with --disable static and kill "la" files
* Sat Oct  8 2011 toddrme2178@gmail.com
- Cleaned up spec file formatting
- Removed buildrequires that automatic on OBS
- Removed tags that are not allowed in OBS
- Changed groups (fix for RPMLINT warnings)
- Changed package name to include sonum (fix for RPMLINT warning)
- Used proper file names in files lists instead of blanket wildcards
  (fix for RPMLINT warnings)
* Tue Oct 20 2009 alessandrofaria@netitec.com.br
- New package : Alessandro de Oliveira Faria.
